Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jgame
Class JGColor

    java.lang.Object
      jgame.JGColor

    public class JGColor

extends java.lang.Object

Minimal replacement of java.awt.Color.

Field Summary
`int` | `alpha` a value between 0 and 255, default is 255 (opaque)
`int` | `b` a value between 0 and 255
`static JGColor` | `black`
`static JGColor` | `blue`
`static JGColor` | `cyan`
`int` | `g` a value between 0 and 255
`static JGColor` | `gray`
`static JGColor` | `green`
`static JGColor` | `grey`
`java.lang.Object` | `impl`
`static JGColor` | `magenta`
`static JGColor` | `orange`
`static JGColor` | `pink`
`int` | `r` a value between 0 and 255
`static JGColor` | `red`
`static JGColor` | `white`
`static JGColor` | `yellow`

Constructor Summary
`JGColor(double r, double g, double b)`
`JGColor(double r, double g, double b, double alpha)`
`JGColor(int r, int g, int b)`
`JGColor(int r, int g, int b, int alpha)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### black

    public static final JGColor black

### white

    public static final JGColor white

### yellow

    public static final JGColor yellow

### green

    public static final JGColor green

### cyan

    public static final JGColor cyan

### blue

    public static final JGColor blue

### magenta

    public static final JGColor magenta

### red

    public static final JGColor red

### pink

    public static final JGColor pink

### orange

    public static final JGColor orange

### grey

    public static final JGColor grey

### gray

    public static final JGColor gray

### r

    public int r

  a value between 0 and 255

### g

    public int g

  a value between 0 and 255

### b

    public int b

  a value between 0 and 255

### alpha

    public int alpha

  a value between 0 and 255, default is 255 (opaque)

### impl

    public java.lang.Object impl

Constructor Detail

### JGColor

    public JGColor(int r,
                   int g,
                   int b)

### JGColor

    public JGColor(int r,
                   int g,
                   int b,
                   int alpha)

### JGColor

    public JGColor(double r,
                   double g,
                   double b)

### JGColor

    public JGColor(double r,
                   double g,
                   double b,
                   double alpha)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD